2024-12-07 09:03  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode-version): add this defconst back for the
	moment, till we have discussed alternatives.

2024-11-17 17:28  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-mode.el: Update to version 6.2

	* matlab.el (matlab-mode-version): Update to version 6.2

2024-11-11 John Ciolfi <john.ciolfi.32@gmail.com>
	* matlab.el: fixed matlab-fill-paragraph.
          - Now M-q (fill-paragraph) calls matlab-fill-paragaraph will fill comments
            and leave code untouched.
	  - Removed non-standard and buggy
	     matlab-fill-comment-line
	     matlab-fill-region
	     matlab-join-comment-lines
	* tests/metests.el - Added metest-fill-paragraph
	* tests/fill-paragraph/* files used by metest-fill-paragraph

2024-11-13 17:24  Uwe Brauer  <oub@mat.ucm.es>

	* CONTRIBUTING.org (Maintainers): Change: Forks should--> Forks
	could. Moreover Uwe Brauer prefers direct commits or the creation
	of branches. Also recommend for forks, to create a new, branch.

2024-11-07 17:39  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode-version): Increase to 6.1 to indicate
	that feature (from the org-mode branch) have been included.

2024-11-04 John Ciolfi <ciolfi@mathworks.com>
	Fix a matlab org mode issues

	1. If the matlab shell isn't running and an org-mode matlab code block is evaluated, org babel will
	   start it using `matlab-shell', then it was sending the code to be evaluated to the shell without
	   waiting for the shell to be ready. This was causing startup messages to appear in the result
	   of the evaluation. Now, we wait for the shell to start and the results are as expected without
	   the startup messages.

	2. If the matlab shell is busy and you evaluate a matlab code block, you now get a message that
	   it is busy.

	3. Fix ":result output" matlab code blocks. Previously, these code blocks would contain both
	   the input matlab code being evaluated and the results displayed in the MATLAB shell. Now
	   the ":results output" matlab code blocks only contain the displayed results.

	4. Fix ":results output latex" matlab code blocks. Fix is the same as (3).

	5. Added tests for the output code blocks.



2024-11-06 John Ciolfi <ciolfi@mathworks.com>
	* matlab-ccount.el: display how many code characters in MATLAB *.m files.
	This was created by Eric Ludlam.

2024-10-29 John Ciolfi <ciolfi@mathworks.com>
	Improved org-mode integration. Now, org evaluation of matlab code blocks
	works "out-of-the-box".

	In addition, the new intergation fixes issues where evaluation of
	verbatim matlab code blocks was using dlmwrite which is an
	obsolete MATLAB functions. The example has been updated to also
	illustrate how to scale images and get colored PDF's.

	When upgrading, check your ~/.emacs for
	  - (defun matlab-org-session-advice ...)
	  - (defun matlab-org-fixup-print ...)
	  - (defun org-export-dispatch-no-babel-advice ...)
	  - (eval-after-load 'ox ...)
	  - (eval-after-load "org" ...)
	and remove these.

	This commit also tests the evaluation of matlab verbatim and
	graphics code blocks.  I validated Emacs 27, 28, and 29 work with
	MATLAB R2024a and R2024b on Linux Debian 12.

2024-10-25 18:45  Uwe Brauer  <oub@mat.ucm.es>
	* matlab.el (matlab-fill-paragraph-fill-fix): Add «best»
	matlab-fill-paragraph from the fill-fix branch: commit 0f305501f26d

2024-10-22 22:55  Nidish Narayanaa Balaji <nidbid@gmail.com>

	* matlab-sections.el: Renamed matlab-cell.el to matlab-sections.el.

2024-10-22 08:26  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-shell.el (matlab-shell-run-code-section): change name
	cell-->code-section. Naming convention found in
	https://www.mathworks.com/help/matlab/matlab_prog/create-and-run-sections.html

2024-10-21 John Ciolfi <ciolfi@mathworks.com>
	* matlab-autoload.el: Changed matlab-load.el to matlab-autoload.el to be consistent with
	current Emacs conventions. Eliminated require of matlab-autoload.el from tests.
	* .dirs-local.el: setup for flycheck

2024-10-21 17:59  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-mode.el: Repair various syntax errors, thanks to Jonas Bernoulli

2024-10-20 18:55  Nidish Narayanaa Balaji <nidbid@gmail.com>

	* matlab-cell.el: New file, support of matlab-cells (pieces of
	code), using a minor mode.


2024-10-13 14:53  Uwe Brauer  <oub@mat.ucm.es>

	* mlint.el (mlint-program-selection-fcn): Start to repair compiler
	warnings concerning quote in docstrings

2024-10-11 17:17  Uwe Brauer  <oub@mat.ucm.es>

	* tlc.el (tlc--indent-move-up): run checkdoc

	* mlint.el: run checkdoc

2024-10-11 17:14  Uwe Brauer  <oub@mat.ucm.es>

	* mlgud.el: this files needs to be checked carefully!

2024-10-11 17:11  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-topic.el: run checkdoc

	* matlab-syntax.el: run checkdoc

	* matlab-shell-gud.el run checkdoc

	* matlab-scan.el: run checkdoc

	* matlab-maint.el run checkdoc

	* matlab-complete.el: run checkdoc

	* matlab-cgen.el: run checkdoc

	* company-matlab-shell.el: run checkdoc

2024-10-11 09:30  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-shell.el: run checkdock

	* matlab.el (matlab-mode-version): run checkdoc

2024-10-09 09:14  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode-version): Change to matlab-mode-version
	6.0 to reflect the big leap forward

2024-10-05 Uwe Brauer  <oub@mat.ucm.es> Update the data of the copyright note to 2024
	* cedet-matlab.el:
        * company-matlab-shell.el
        * dl_emacs_support.m
        * linemark.el
        * matlab-cgen.el
        * matlab-compat.el
        * matlab-complete.el
        * matlab-maint.el
        * matlab-netshell.el
        * matlab-scan.el
        * matlab-shell-gud.el
        * matlab-shell.el
        * matlab-syntax.el
        * matlab-topic.el
        * matlab.el
        * mlint.el
        * tests/blocks.m
        * tests/buggy.m
        * tests/cellscript.m
        * tests/complete.m
        * tests/continuations.m
        * tests/dbtester.m
        * tests/errexamples.shell.m
        * tests/expressions.m
        * tests/fontlock.m
        * tests/indents.m
        * tests/mclass.m
        * tests/mclass_cont.m
        * tests/metest.el
        * tests/metest.sh
        * tests/mfuncends.m
        * tests/mfuncnoend.m
        * tests/mfuncnoendblock.m
        * tests/mfuncnoendindent.m
        * tests/mfuncnofuncindent.m
        * tests/mfuncspacey.m
        * tests/mpclass.m
        * tests/stringtest.m
        * tests/syntaxerr.m
        * tests/testeeval.m
        * tlc.el

2024-10-05 Uwe Brauer  <oub@mat.ucm.es> Add copyright headers to remaining files.
	* cedet-matlab.el:
	* examples/matlab-and-org-mode/matlab-and-org-mode.org
	* tests/+eltest/+utils/testme.m
	* tests/+eltest/@EmacsTest/EmacsTest.m
	* toolbox/+emacs/@Breakpoints/Breakpoints.m
	* toolbox/+emacs/@EmacsServer/EmacsServer.m
	* toolbox/+emacs/@Stack/Stack.m
	* toolbox/+emacs/set.m
	* toolbox/dbhotlink.m
	* toolbox/ebclear.m
	* toolbox/ebstack.m
	* toolbox/ebstatus.m
	* toolbox/ebstop.m
	* toolbox/emacscd.m
	* toolbox/emacsdocomplete.m
	* toolbox/emacsinit.m
	* toolbox/emacsnetshell.m
	* toolbox/emacsrun.m
	* toolbox/emacsrunregion.m
	* toolbox/emacstipstring.m
	* toolbox/help.m
	* toolbox/opentoline.m



2024-09-02 John Ciolfi <ciolfi@mathworks.com>
	1. Enable building with emacs29
	2. Added make -f check-emacs-versions

2024-08-24 John Ciolfi <ciolfi@mathworks.com>
	1. Mirrored from SourceForge to github
	 - git clone --bare git+ssh://oub@git.code.sf.net/p/matlab-emacs/src matlab-sf-mirror-bare
	 - cd matlab-sf-mirror-bare
	 - delete old branches via
	     git branch -D wisent-parser
	     git branch -D fontlockhang
	     git branch -D strings
	     git branch -D usage1
	     git branch -D hairyblocks
	     git branch -D mac_init
	     git branch -D modernize
	     git branch -D font-lock
	     git branch -D shell-patch
	     git branch -D shellcomplete
	 - git push --mirror https://github.com/mathworks/Emacs-MATLAB-Mode.git
	2. For MathWorks standards,
	   - Renamed COPYING to LICENSE.txt
	   - Added SECURITY.md
	   - Added CONTRIBUTING.org
	3. Deleted stale files that no longer work or are no longer needed
	   - INSTALL
	   - Project.ede
	   - README
	   - cedet-matlab.el
	   - matlab-publish.el
	   - semantic-matlab.el
	   - semanticdb-matlab.el
	   - srecode-matlab.el
	   - templates/Makefile
	   - templates/Project.ede
	   - templates/srecode-matlab.srt
	   - tests/Project.ede
	   - toolbox/Makefile
	   - toolbox/Project.ede
	4. Cleaned up the Makefile's and fixed build issues
	5. Tests were fixed and now pass (verified with MATLAB 2024a)

2023-07-12 22:14  Uwe Brauer  <oub@mat.ucm.es>

	* COPYING: add GPL3+ License

2023-07-12  Uwe Brauer  <oub@mat.ucm.es>

	* cedet-matlab.el: update to GPL3+

	* company-matlab-shell.el: ditto

	* company-matlab-shell.el: ditto

	* dl_emacs_support.m: ditto

	* linemark.el: ditto

	* matlab-publish.el: ditto

	* matlab.el: ditto

	* mlint.el: Ditto

	* semantic-matlab.el: Ditto

	* semanticdb-matlab.el: ditto

2023-04-24 14:47  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode): Apply patch provided by Peter Mao <peter.mao@gmail.com>

2022-10-08 18:19  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode): Apply patch provided my Eric Ludlam:
	delete the line  (kill-all-local-variables) in the matlab-mode function.


2022-04-12  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-load.el (matlab-mode): Add the load file to the
	repository, for the MELPA archive.

2022-04-12  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-syntax.el (matlab--transpose-syntax): 680 Apply patch
	provided by Eric Ludlam to fix a transpose syntax problem

2022-03-11  John Ciolfi <ciolfi@mathworks.com>

	* matlab-netshell.el, matlab-shell-gud.el, matlab-shell.el, matlab.el, mlgud.el
	Fix conflict between matlab-shell debugging and C++ (or other language) debugging.
	- matlab-shell debugging previously leveraged gud.el for debugging of *.m files.
	- C++ debugging also leverages gud.el for debugging.
	- Only one instance of a gud.el debugger can be active. If you run two, say
	  *.m debugging and C++ debugging. Then you get odd errors such as the
	  ebbreak not being recognized by gdb.
	To fix these issue, I copied gud.el and made a new namespace "mlgud". I also
	removed a lot of unused code from mlgud.el, though there's still more that can
	be removed. Now one can debug *.m files and *.cpp files in one Emacs session.

2021-11-22  Uwe Brauer  <oub@mat.ucm.es>

	* company-matlab-shell.el: 677 correct a silly typo

2021-07-26  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-shell.el (matlab-shell-region->script): 676 apply patch provided by
	  Karthik Chikmagalur <karthikchikmagalur@gmail.com>:
	  Copy all local functions to script.

2021-05-04  Uwe Brauer  <oub@mat.ucm.es>

	* toolbox/emacsrunregion.m (emacsrunregion):
	  Apply a patch provided by Julien Claisse: trump support

2021-02-25 John Ciolfi ciolfi@mathworks.com
	* tlc.el (new version 1.3): revamped implementation
	1. Make tlc indent by 4 spaces. Previously we were indenting by 2 spaces
	   as this was used when we created tlc. Updating to 4 to be consistent
	   with matlab-mode, etc.
	2. Don't indent "TLC file guards"
	   %if EXISTS(::_FILE_NAME_) == 0
	   %assign _FILE_NAME_ = 1
	   <tlc file body starts at first column, 0>
	   %endif
	3. Don't indent when inside of multi-line comments,
	   fixed multi-line comment detection
	4. Various indent fixes
	5. Always align %if/%elseif/%else/%endif statements, even when unbalanced
	   "{", "}" language elements exist.
	6. Add support for special "%%{", "%%{{", "%%}", "%%}}", etc. 'indent
	   comment shift operators' adjust indentation by 4, 8, -4, -8, etc.
	7. Add support for "%%{N}" 'indent comment shift operators' that adjust
	   what follows to indent to column N
	8. Fix the tlc syntax table to correctly handle single and multiline
	   comments
	9. Make M-; use single line "%% ..." comments
	10. Improved (TAB) indent-region performance by simplify logic
	    and only checking for multiline comments when required.

2020-01-06  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-compat.el (matlab-find-executable-directory): Apply patch
	provided by John Ciolfi <ciolfi@mathworks.com>, thanks John.

2019-11-27  Uwe Brauer  <oub@mat.ucm.es>

	* NEWS.org (News in 4.0): 290 Merge, documentation concerning new
	features, provided by John Ciolfi <ciolfi@mathworks.com>, thanks John.

2019-11-25  Uwe Brauer  <oub@mat.ucm.es>

	* NEWS.org (Changes and New Features in matlab-emacs): New file,
	add News for 4.0

2019-09-30 Eric Ludlam <eludlam@mathworks.com>

	* matlab.el: String & Comment Font Lock Handling
	(matlab-mode-syntax-table): Add " as puncutation.
	(matlab-string-char-regexp): New
	(matlab-string-start-regexp): Add "
	(matlab-string-content-regexp, matlb-string-end-regexp)
	(matlb-match-string-end-for-string)
	(mtlab-font-lock-string-match-normal)
	(matlab-font-lock-string-match-unterninated)
	(matlab-font-lock-string-match-here)
	(matlab-font-lock-comment-match, ): Deleted
	(matlab-font-lock-string-start-regexp): New
	(matlab-font-lock-string-and-comment-start-regexp): New
	(matlab-font-lock-allstring-comment-match-normal): New
	(matlab-test-allstring-comment-match): New interactive tester for
	fontlocked strings and comments.
	* matlab.el Misc Font Lock improvements
	(matlab-handle-simulink): Remove option.  Always
	highlight simulink keywords.
	(matlab-keyword-list): Remove classdef - this is handled diretly.
	(matlab-simulink-keywords, matlab-constants-keyword-list): New,
	moved out of explicit font lock expression.
	(matlab-font-lock-regexp-opt): New fcn used in place of
	regepxp-opt to simplify font-lock keywords, and maintain
	compatibility.
	(matlab-font-lock-keywords): Replace old charvect and comment
	matchers with new unified string and comment matcher.
	Replace all calls to regexp-opt with matlab-font-lock-regexp-opt.
	Replace hard-coded lists of keywords with call to *-regexp-opt.
	(matlab-function-font-lock-keywords): New, derived from gaudy
	keywords.
	(matlab-class-attributes-list-re,matlab-class-font-lock-keywords): New
	(matlab-gaudy-font-lock-keywords): Now built from function and
	class keywords list.
	(matlab-realy-guady-font-lock-keywords): Replace obsolete
	font-lock-type-face.
	Remove continuation expression (now handled in combined
	string/comment highlighter).
	Replace all calls to regexp-opt with matlab-font-lock-regexp-opt.
	(matlab-mode): Add support for font-lock-multiline.
	If show-paren-mode is available, use that instead of built-in
	block highlighting.
	(matlab-ispell-strings-region): Use new font lock matcher for strings.
	(matlab-valid-end-construct-p): Don't modify match-data.
	* matlab.el Block and Comment navigation
	(matlab-up-string-or-comment, matlab-backward-up-string-or-comment): New
	(matlab-move-list-sexp-internal): New (only list like expressions)
	(matlab-move-simple-sexp-backward-internal): New (call below)
	(matlab-move-simple-sexp-internal): New, nav comments, strings, and
	lists.
	(matlab-backward-sexp): Nav simple-sexp (as above).
	Fix bug with noerror version if there are stacks of incomplete ends.
	(matlab-forward-sexp): Nav w/ simple-sexp (as above)
	instead of using built-in forward-sexp when not navigating blocks.
	(matlab-forward-sexp): Add 'autostart' optional input.
	(matlab-lattr-block-close): Account for ends in comments and strings.
	(matlab-show-cursor-context): New debug command for testing what is
	under the cursor.
	(matlab-cursor-comment-string-context): New detector fcn for strings and
	comments.
	(matlab-ursor-in-string-or-comment, matlab-cursor-in-comment)
	(matlab-cursor-in-string): Delete impl, use above detector instead.
	* matlab.el: show-paren-mode support
	(matlab-show-paren-or-block): Function called from show-paren-mode to
	identify what to highlight.  Use new navigation system to identify
	matching parens and block keywords.
	* tests/metest.el: New set of Emacs tests.
	* tests/metest.sh: Shell script to run tests.
	* tests/strings.el, tests/expressions.m, tests/mclass.m: New MATLAB
	files with various syntaxes and test tokens used to verify new behavior.

2018-09-28  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-string-start-regexp): Patch provided by Eric
	Ludlam: adds support for Strings in matlab-mode. b = "string
	scalar" and b = "string "" scalar" are now highlighted.

2018-01-25 John Ciolfi <ciolfi@mathworks.com>
	* matlab.el, company-matlab.el: Allow completion within a line and better
	quit support. Patch provided by Nate Chodosh.

2017-12-24 John Ciolfi <ciolfi@mathworks.com>
	* Makefile: Updated byte compile to work on Emacs 25, other minor cleanups.

2017-12-05 John Ciolfi <ciolfi@mathworks.com>
	* README.org: Revamp help. Remove stale items.
	* matlab.el, emacsinit.m: make matlab-shell-emacsclient-command
	customizable so people can easily tailor the ">> edit file.m" behavior.

2017-12-05  John Ciolfi <ciolfi@mathworks.com>
	* TAB: Fixed several problems with TAB completion, and added
	direct support for company (complete anything) mode tab
	completion. If company is installed TAB key is bound to use
	company completion and C-TAB is classic emacs TAB completion.
	* Debugging: Enabled debugging of matlab code (dbstop, etc.) in
	R2015b MATLAB and later. This requires using the MATLAB editor
	instead of emacs because recent MATLAB's are not giving enough
	info to debug within emacs.
	* Warnings: Fixed/suppressed all warnings as reported by emacs
	24.4 (and removed support for emacs 22 and earlier).
	* Makefile: matlab-load.el is a generated file that should be
	rebuilt after clean.
	* matlab-load.el: remove this from the repro. It is generated
	so it should be rebuilt via GNU make.
	* company-matlab-shell.el: made completion using company (complete
	anything) work with new TAB handling paradigm
	* linemark.el: fixed compiler warnings
	* matlab-publish.el: fixed compiler warnings
	* matlab.el: fixed TAB completion handling. Prior to fix, hitting
	tab would generate noise (new unnecessary ">>" prompts) and it
	didn't handle certain cases, e.g. ">> ! mv file.<TAB>", ">>
	set(h,'<TAB>')", etc. would fail to complete.
	* mlint.el: fixed compiler warnings
	* cedet-matlab.el, semantic-matlab.el, semanticdb-matlab.el:
	fixed warnings, though I'm not sure if these files are still
	usable because some functions they reference no longer exist.
	* tlc.el: fixed compiler warnings, including autoload issue that
	was preventing use.
	* toolbox/emacsdocomplete.m: fixed handling of tab completion for
	commands with strings
	* toolbox/emacsinit.m: don't activate emacs-based debugging/
	dbstop handling in R2015b and later.

2016-04-15  Uwe Brauer  <oub@mat.ucm.es>

	* matlab-pkg.el ("matlab-mode"): New file for the MELPA repo:
	purpose: add information to the GNU Emacs package system. User of
	older GNU Emacs versions <24, and Xemacs users can safely ignore
	this file.

2016-04-10  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el: Add an empty line after the first line in matlab.el,
	maybe this will generate the desired info line when calling
	package-list-package in GNU emacs. (MELPA).

2016-04-01  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode-version): change version to 3.3.5

	* matlab.el (matlab-enable-block-highlighting): Applied patch
	provided by
	kaushal_modi@users.sf.net

2016-03-17  Uwe Brauer  <oub@mat.ucm.es>

	* toolbox/dbhotlink.m (dbhotlink): new file

2016-03-17  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-shell-mode): Applied patch from  Odd Andersen
	<odd.andersen@gmail.com>.

2016-03-16  Uwe Brauer  <oub@mat.ucm.es>

	* dl_emacs_support.m (getfiles): update the url and README-->README.org

2016-02-09  Uwe Brauer  <oub@mat.ucm.es>

	* matlab.el (matlab-mode-version): Change version number to
	3.3.3

	* matlab-publish.el (matlab-select-publish-form): Cleanup file

	* matlab.el (matlab-change-current-directory): Applied patch,
	from an unknown source found in http://sourceforge.net/p/matlab-emacs/patches/2/
	Purpose: add the possibility to switch the matlab directory to the
	current one.

	* matlab.el (matlab-shell): Applied patch
	from http://sourceforge.net/p/matlab-emacs/patches/2/
	which results in
	(define-key km (kbd "TAB") 'matlab-shell-tab)

2016-02-09  Uwe Brauer  <oub@mat.ucm.es>

	Imported from CVS to git.

2014-11-05  zappo  <zappo@eludlam-deb6-64>

	* Makefile: (VERSION) Updated.
	(all, tags, dist): Add toolbox
	(toolbox): New rule

	* Project.ede (:version): Updated

	* templates/Makefile (VERSION): Update to minor rev.

	* toolbox/Makefile: Makefile for toolbox.

	* toolbox/Project.ede: Project file for toolbox.

	* INSTALL (tlc.el): Fix typo.

	* matlab.el (matlab-shell-completion-list):
	remove custom call to MCR with call to emacsdocomplete.m in the matlab-emacs toolbox directlry.

	* toolbox/emacsdocomplete.m:
	Command for getting completions from MATLAB for matlab-shell.

2014-11-05  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-completion-list):
	remove custom call to MCR with call to emacsdocomplete.m in the matlab-emacs toolbox directlry.

	* toolbox/emacsdocomplete.m:
	Command for getting completions from MATLAB for matlab-shell.

2014-09-24  zappo  <zappo@eludlam-deb6-64>

	* .cvsignore: First checkin.

2014-09-23  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-font-lock-keywords):
	Tweak to support some changes in error output.
	(matlab-comment): For comment on same line.  If we run out of space (fill-column)
	pull the comment closer to the code.
	(matlab-auto-fill): When filling a string, improve checking of when to add brackets
	around the string.
	(matlab-shell-mode): Disable html rendering trickery.
	(gud-matlab-error-regexp): Add a new variant (off by default) as reminder to
	go back and get the current ones to handle newer MATLAB error format.

2014-03-07  zappo  <zappo@eludlam-deb6-64>

	* mlint.el (mlint-minor-mode): Remove make-local-hook for Emacs 24.

2013-08-29  zappo  <zappo@eludlam-deb6-64>

	* semantic-matlab.el (semantic/dep): New dependency (Emacs 24)
	(semantic-matlab-parse-oldstyle-class): Add 'method' local var to tidy
	compile warnings.

2013-08-26  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-mode-version): Bump very-minor versin.
	(matlab-ltype-comm): Add support for block comment detection.
	(matlab-ltype-block-comm): New fcn.
	(matlab-shell): Add TAB binding for TAB for when (tab) doesn't work.
	Add support for setting WINDOWID environment variable so that MATLAB
	will bring Emacs forward when typing in a figure.

2013-04-02  zappo  <zappo@eludlam-deb6-64>

	* README: Update to discuss CEDET that comes with Emacs.

	* INSTALL: Update to note latest build notes.

	* Makefile: Regenerated
	Added CEDET_PATH variable if someone wants to download the latest from bzr.

	* Project.ede (:version): Updated
	(lisp): Add linemark.el

	* matlab-load.el: Regenerated.

	* dl_emacs_support.m (coreFiles): Add linemark.el to download list.

	* linemark.el:
	Add linemark to matlab-emacs dist so that mlint will work
	with the version of CEDET integrated with Emacs.

	* cedet-matlab.el (matlab-cedet-setup):
	Update srecode require to work w/ CEDET
	integrated w/ Emacs.

	* semantic-matlab.el (misc require statements):
	Updated to work w/ CEDET integrated w/ Emacs.

	* semanticdb-matlab.el (misc require statements):
	Updated to work w/ CEDET integrated w/ Emacs.
	(semanticdb-matlab-scan-directories): Remove references to `working'.
	(semanticdb-matlab-cache-files): Remove references to `working'.

	* templates/Makefile (VERSION): Updated.

2012-02-23  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-mode):
	Change page-delimeter to allow any whitespace or \n after a %%.

2011-10-05  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-ltype-endfunction-comm):
	If the endfunction comment occurs on
	a line, but the next bit of code isn't part of an enclosing fcn, then no.
	(matlab-shell-mode): Patch from Eli Merriam;
	make comint-input-filter-functions buffer local.
	Add matlab-shell-render-html-txt-format hook to comint.
	(matlab-txt-format-beg, matlab-txt-format-end): New
	(matlab-shell-render-html-txt-format): New.
	(matlab-shell-last-anchor-as-frame): New.
	(matlab-shell-render-errors-as-anchor): Use last anchor var above.
	Note: Not used for any logic yet. ;(
	(matlab-shell-previous-matching-input-from-input): patch; Mark Histed
	Force cursor to eol.
	(matlab-shell-run-region): Force displayed buffer to recycled visible buffers.

2011-08-10  davenar  <davenar@eludlam-deb6-64>

	* matlab.el (matlab-shell-mode):
	Add `comint-postoutput-scroll-to-bottom' to
	`comint-output-filter-functions' (suggested by Mark Histed).

2011-08-09  davenar  <davenar@eludlam-deb6-64>

	* matlab.el (matlab-shell-run-region):
	Fix last commit and correctly use
	`buffer-substring' again.

	* matlab.el (matlab-shell-run-region):
	When removing comments, do not touch matlab
	strings or we might remove format specifiers.

2011-07-17  davenar  <davenar@eludlam-deb6-64>

	* matlab.el (matlab-shell-run-region):
	Remove all comments before running a
	region, otherwise `matlab-shell-run-cell' will break.

	* matlab.el (matlab-shell-run-region):
	Remove comment lines.  If NOSHOW, also
	remove continuations.

	* matlab.el (matlab-shell-run-region):
	New optional argument NOSHOW to replace
	newlines with commas, so that by default this will not be done.
	(matlab-shell-run-cell): Use it.

2011-06-16  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-render-html-anchor):
	Add arbitrary reverse-search limit
	to improve performance when the output buffer gets large.

2011-03-23  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-use-emacs-toolbox): Fix to use let*

	* matlab.el (matlab-shell-running-matlab-release):
	Make more robust if matlab.el
	is not on the path.
	(matlab-shell-window-exists-for-display-completion-flag): New flag
	(matlab-shell-tab): Update to set window exists flag (above) when
	showing completions, and call hide-completions (below) when done
	completing.
	(matlab-shell-tab-hide-completions): New.

2010-12-08  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-mode):
	Move line that moves point to end of buffer to just
	in front of where it is used, and inside a save-excursion.

2010-12-06  zappo  <zappo@eludlam-deb6-64>

	* matlab.el: Patch from Rudiger Sonderfeld
	(matlab-frame-init): Add a "switch to" in addition to "start" matlab
	menu item to make it clear what will happen.

2010-10-20  zappo  <zappo@eludlam-deb6-64>

	* mlint.el (mlint-platform):
	Get smarter about returning the kind of MAC and WIN supported.
	(mlint-minor-mode): Don't disable verify on save since there is still useful stuff there.

2010-10-14  zappo  <zappo@eludlam-deb6-64>

	* dl_emacs_support.m: Patch from: Joe Vornehm
	(coreFiles): Add matlab-publish.el and company-matlab-shell.el
	(mktemplatedir,mktoolboxdir): Pay attention to destination argument.

2010-09-14  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-mode):
	Wrap guessing of indentation in a save-excursion.
	and running of hooks in a save excursion so point can be moved during
	checking for the indentation style.
	(matlab-toggle-show-mlint-warnings)
	(matlab-toggle-highlight-cross-function-variables):
	Always call mlint-minor-mode after a change, but pass in a numeric arg
	to force on or off dependent on the current state.

2010-07-29  zappo  <zappo@eludlam-deb6-64>

	* mlint.el (mlint-run): Fix case where mlint-program was buffer local.

2010-07-28  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (gud-matlab-error-regexp):
	Patch from EricW: Fix for more error types.
	(matlab-shell-run-region): Add hack for replacing CR w/ ,.
	(matlab-shell-last-error): Fix call to find other window call so 0 is a str.

	* mlint.el (mlint-program-selection-fcn): New option.
	(mlint-minor-mode): Use above to select an mlint program.

2010-04-06  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-html-map): Update how it is initialized.
	Add binding for return
	(matlab-anchor-beg): Add to expression to remove "matlab:"
	(matlab-shell-render-html-anchor): Add help-echo.
	(gud-matlab-error-regexp): Improve for newere MATLABs
	(matlab-shell-last-error-anchor): New
	(matlab-shell-render-errors-as-anchor): No longer depend on deleted
	stack start/end variables which seem to no longer be active.
	Add help-echo to overlay.
	Change how 'first' is calculated, apply after the fact.
	(gud-matlab-marker-filter):Don't collect if prompt hasn't been seen yet.
	(matlab-shell-html-click): Now use below
	(matlab-shell-html-go): New from above.

2010-01-21  zappo  <zappo@eludlam-deb6-64>

	* INSTALL: Fix path to not say "matlab.el"

2010-01-13  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (gud-matlab-marker-filter): Don't filter out backspace.
	In section collecting whole error strings, wait for \n, not the prompt.

2010-01-05  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-mode-version): Update minor version number.
	(matlab-indent-function-body): Add 'MathWorks-Standard option.
	(matlab-functions-have-end-minor-mode): Add code to flip the
	`matlab-functions-have-end' variable.
	(matlab-do-functions-have-end-p): New.
	(matlab-indent-function-body-p): New function.
	(matlab-mode): First detect if fcns have end, save.
	Next detect indenting fcn bodies based on 'guess.
	(matlab-calculate-indentation-1, matlab-next-line-indentation)
	(matlab-frame-init):
	Use fcn form of indent-function-body.

2009-12-23  zappo  <zappo@eludlam-deb6-64>

	* INSTALL: Fix typo about augmenting the load path.

2009-11-16  zappo  <zappo@eludlam-deb6-64>

	* semanticdb-matlab.el (semanticdb-matlab-include-paths):
	Only set default to ~/matlab if it exists.

2009-09-23  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-tab):
	Add '.' to list of chars that limit completion.
	This enables structure completion.

2009-09-15  zappo  <zappo@eludlam-deb6-64>

	* README: Change load-path setup line.

2009-09-03  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (matlab-shell-mode):
	Add debugging next, and fix step to step in.

	* matlab.el (gud-matlab-marker-filter): Remove debug message.

	* matlab.el (matlab-shell-mode):
	Add matlab-shell-render-errors-as-anchor to
	comint-output-filter-functions.
	(matlab-anchor-beg,matlab-anchor-end)
	(gud-matlab-marker-regexp-1,gud-matlab-marker-regexp-2): Moved.
	(gud-matlab-marker-regexp-prefix): Updated.
	(gud-matlab-error-regexp): Updated.
	(matlab-last-frame-returned): Deleted.
	(gud-matlab-error-regexp): Updated.
	(matlab-shell-render-html-anchor): Remove debugger jumping code.
	(matlab-shell-error-stack-start, matlab-shell-error-stack-end): New
	(matlab-shell-render-errors-as-anchor): New.
	(gud-matlab-marker-filter): Remove support for MATLAB 5 debugging.
	I don't think it would have worked anyway.  (matlab-one-db-request stuff).
	For frame calculations, query out of gud-marker-acc instead of scanning the buffer
	which was unreliable.
	When stripping individual lines from the return buffer, only do so if
	there is no telltale sign of debugger output.
	(matlab-url-stack-top-at): New.
	(matlab-shell-previus-matlab-url):Call above is new arg is t.
	(matlab-find-other-window-file-line-column): Be robust to more types
	of file names that might not have .m on the end.
	(matlab-shell-last-error): Specify there might be a stack, and choose the top.

2009-08-21  zappo  <zappo@eludlam-deb6-64>

	* matlab-load.el: Regenerated.

	* mlint.el (mlint-minor-mode): Add autoload cookie.

	* matlab.el (mline): Remove require.
	(matlab-functions-have-end-minor-mode): Remove bogus doc string (copy paste bug).

	* dl_emacs_support.m: Add toolbox M files, and toolbox constructor.

2009-08-13  zappo  <zappo@eludlam-deb6-64>

	* matlab.el (mlint): Add require.
	(defcustom, etc): Delete old backward compatable stuff for Emacs 19.
	(matlab-toggle-functions-have-end-minor-mode): Moved to supress
	byte compile warnings.
	(matlab-font-lock-nested-function-keyword-match)
	(matlab-font-lock-cross-function-variables-match): Make overlay a local variable.
	(matlab-mode): Comments about byte-comp warnings.
	(gud-matlab-marker-filter,matlab-find-other-window-file-line-column):
	Use string-to-number.
	(matlab-shell-run-region-or-line): New new mechanism w/ transient-mark-mode.
	(matlab-shell-topic-highlight-line): Add comment.

	* matlab.el: Misc: Add (R) to some occurances of MATLAB.
	OBSOLETE STUFF:
	(matlab-hilit19-patterns,fume-function-name-regexp-matlab)
	(fume-find-next-matlab-function-name,matlab-mode-hilit): Delete
	(matlab-imenu-generic-expression): Get rid of fume use.
	INDENT FIX:
	(matlab-valid-end-construct-p,matlab-lattr-block-close)
	(matlab-calc-indent,matlab-calculate-indentation)
	(matlab-calculate-indentation-1): Handle multiple ends on one line.
	MATLAB EDITOR UPDATE:
	(matlab-shell-history-file): Calculate from below.
	(matlab-shell-running-matlab-version, matlab-shell-running-matlab-release)
	(matlab-shell-use-emacs-toolbox, matlab-shell-emacsclient-command):
	New variables.
	(matlab-shell,matlab-shell-hack-logo,matlab-shell-mode)
	(gud-matlab-marker-filter):
	Calc version from output.
	(matlab-shell-version-scrape): New, for above.
	(matlab-shell-next-matching-input-from-input)
	(matlab-shell-prev-matching-input-from-input): New commands.
	(matlab-find-other-window-via-url): Support opentoline links.

	* toolbox/emacsinit.m, toolbox/opentoline.m:
	Support calling Emacs from MATLAB via edit commands.

2009-07-07  zappo  <zappo@eludlam-deb6-64>

	* INSTALL: Fix LOADPATH discussion.

	* matlab-load.el: Rebuild using Emacs 23.
	Adds a provide statement.

2009-07-07  davenar  <davenar@eludlam-deb6-64>

	* ChangeLog, semanticdb-matlab.el (semanticdb-matlab-scan-directories):
	Local bind for working-spinner-display.

2009-07-07  David Engster  <dengste@eml.cc>

	* semanticdb-matlab.el (semanticdb-matlab-scan-directories): Local
	bind for working-spinner-display.

2009-07-06  Eric Ludlam  <eludlam@mathworks.com>

	* company-matlab-shell.el: Company mode support for matlab-shell.

	* README: Added notes on CEDET use.
	Added notes on on the MATLAB download script.

	* matlab.el (matlab-mode-version): Update.

	* matlab-publish.el: Utilities for editing MATLAB files for publishing

	* templates/srecode-matlab.srt: SRecode templates for MATLAB Script.

	* semantic-matlab.el: Remove automatic init hook.  See cedet-matlab.el

	* cedet-matlab.el: Initialization support for CEDET tools with MATLAB.

	* dl_emacs_support.m: Convenience download script.

	* matlab.el (matlab-indent-function-body):
	Allow a value of 'guess, meaning
	to guess the indentation style of a pre-existing file.
	(matlab-keyword-list,matlab-font-lock-keywords)
	(matlab-block-beg-pre-if,matlab-block-beg-pre-no-if)
	(matlab-keywords-solo,matlab-quiesce-nosemi-regexp):
	Add spmd.

2008-10-17  Eric Ludlam  <eludlam@mathworks.com>

	* matlab.el: Add enumeration support.

2008-09-18  David Engster

	* semanticdb-matlab.el (semanticdb-find-tags-by-name-method):
	Use our own database as
	fall-back method.
	(semanticdb-find-tags-for-completion-method): Combine results from
	MATLAB shell and our own database.

2008-09-08  David Engster

	* semantic-matlab.el: (semantic-ctxt-current-symbol)
	(semantic-ctxt-current-symbol-and-bounds): Return nil when no symbol
	at point.

	* semantic-matlab.el (semantic-matlab-parse-assignments):
	Deal with class methods which
	return same class and be more tolerant with whitespaces.

	* semantic-matlab.el (semantic-matlab-parse-assignments):
	Fix bug in parsing limit.  Don't parse
	current line.  Deal with class attribute assignments.

2008-09-07  David Engster

	* semanticdb-matlab.el (semanticdb-matlab-user-class-cache):
	New variable.
	(semanticdb-matlab-cache-files): New function for caching files and
	classes.
	(semanticdb-matlab-find-name): Use it.
	(semantic-ctxt-current-class-list): Deal with classes and structures.

	* semantic-matlab.el: (semantic-matlab-parse-oldstyle-class)
	(semantic-matlab-find-oldstyle-classes): New functions.
	(semantic-matlab-parse-region): Cache files.  Use new functions for
	parsing classes.
	(semantic-matlab-type-hint-string): New variable.
	(semantic-matlab-parse-assignments): New function.
	(semantic-get-local-variables): New override.
	(semantic-ia-insert-tag): Deal with method completions.
	(semantic-ctxt-current-symbol)
	(semantic-ctxt-current-symbol-and-bounds): New overrides.

	* semantic-matlab.el (semantic-matlab-root-directory): Follow symlink.

2008-09-05  Eric Ludlam  <eludlam@mathworks.com>

	* semanticdb-matlab.el (semanticdb-find-tags-by-name-method):
	Fixed to handle case where
	matlab lies about the doc file location.
	(semanticdb-find-tags-for-completion-method): Adapt to use
	matlab-shell when available.

	* semanticdb-matlab.el (semanticdb-find-tags-by-name-method):
	Use matlab-shell if available.

	* semantic-matlab.el (semantic-matlab-root-directory): New Function.
	(semantic-matlab-function-tags): Update to use above.

	* matlab.el (matlab-shell-which-fcn): Append .m to builtin.
	(matlab-shell-matlabroot): New
	(matlab-shell-collect-command-output): Stop displaying status messages.

	* matlab.el: (matlab-shell-completion-list):
	Enabled to work in a non-shell buffer by switching over.
	(matlab-shell-which-fcn): New.

	* INSTALL:
	Revies to new matlab-load.el style.  Discuss use w/out the Makefile.
	Remove semantic-matlab.el doc, it needs a re-write.

	* Makefile (LOADPATH): Add semantic/bovine

	* Project.ede (cedet): Add semantic-el dependency.

	* Makefile (LOADPATH): Now includes semantic.
	(cedet_LISP): New veriables.
	(cedet): New target.
	(dist): Add the cedet support files.

	* Project.ede ("lisp"): Added versionsource file.
	("semantic"): New target

	* matlab.el (matlab-vers-on-startup): Set default to off.
	(auto-mode-alist): Add .m files.
	(matlab-block-end-pre-no-iff):  Fix if/else order typo.

	* README: Update to latest information on installing matlab.el

2008-09-02  Eric Ludlam  <eludlam@mathworks.com>

	* mlint.el (mlint-platform):
	Use string-match to determine 64 bit linux-ness.
	(mlint-flags): Remove -fix until I get around to supporting it.

2008-09-01  David Engster

	* semanticdb-matlab.el: Fix doc-strings.

	* semantic-matlab.el (semantic-idle-summary-function):
	Use defvar-mode-local instead of
	make-local-variable.

2008-08-31  David Engster

	* semantic-matlab.el (semantic-format-tag-prototype):
	New overload for matlab-mode.
	(semantic-idle-summary-format-matlab-mode): New function, also
	displays doc-string.
	(semantic-ia-insert-tag): Use it.
	(semantic-default-matlab-setup): Bind `semantic-idle-summary-function'.

	* semantic-matlab.el: Unconditional require of semanticdb-matlab.
	(semantic-matlab-function-tags): Better parsing of doc strings.
	Return flag for builtin functions.
	(semantic-matlab-sort-raw-tags): Include new :builtin attribute.

2008-08-30  David Engster

	* INSTALL: Added section for semantic-matlab.el

	* semantic-matlab.el (semantic-matlab-system-paths-include):
	New variable.
	(semantic-matlab-dependency-system-include-path): Use it.
	(semantic-matlab-root-directory): Take everything until '/bin' as
	MATLAB root.

	* semanticdb-matlab.el:
	New file. Semantic database extensions for MATLAB.

2008-08-22  Eric Ludlam  <eludlam@mathworks.com>

	* semantic-matlab.el (semantic-matlab-dependency-system-include-path):
	Value should be a list.

	* semantic-matlab.el: Changes contributed by: David Engster
	(semanticdb-matlab): Conditional load.
	(semeantic-matlb-root-directory): New variable
	(semantic-matlab-match-function-re): Support _
	(semantic-matlab-function-tags): Support loading doc strings.
	(semantic-matlab-sort-raw-tags): Support doc strings.
	(semantic-matlab-dependency-system-include-path)
	(semantic-matlab-display-docstring): New variables
	(semantic-ia-insert-tag): New overload function.

2008-08-05  Eric Ludlam  <eludlam@mathworks.com>

	* matlab.el (matlab-shell-ask-MATLAB-for-completions):
	Change default to t.
	Patch from David Engster:
	(matlab-shell-completion-list): Set scroll-show-maximum-output to nil.
	(matlab-shell-tab): Improve completion list extraction.

2008-08-01  Eric Ludlam  <eludlam@mathworks.com>

	* mlint.el (mlint-symtab-info): New variable.
	(mlint-run):  Init symtab local var.
	Fixed symbol table parsing to work with newer mlint.

	* matlab.el (matlab-block-indent-toc-toc-flag):
	New variable.  Default nil.
	(matlab-block-beg-pre-if, matlab-block-beg-pre-no-if)
	(matlab-block-end-pre-if, matlab-block-end-pre-no-if):
	If the tic-toc flag is nil, don't indent tic/tocs.

2008-05-19  Eric Ludlam  <eludlam@mathworks.com>

	* semantic-matlab.el: Copied from cedet repository.

	* matlab.el (matlab-keyword-list): Add mcos keywords
	(matlab-defun-regex, matlab-block-beg-pre-if, matlab-block-beg-pre-no-if):
	Updated w/ mcos keywords.

	* mlint.el (mlint-calculate-cyclic-complexity-flag): New flag.
	(mlint-flags): Add -fix
	(mlint-run): Use cyclic-complexity flag.

	* matlab.el (matlab-mode-version): Update
	(matlab-cellbreak-face): Fancy new face for cell-breaks.
	(matlab-font-lock-adjustments): Update cellbreak face.
	(matlab-font-lock-keywords): Add cellbreak highlighting.
	(matlab-mode): Fix spelling in indent-sexp keybinding to doc.

2007-03-06  Eric Ludlam  <eludlam@mathworks.com>

	* mlint.el:
	(mlint-clear-warnings, mlint-clear-cross-function-variable-highlighting):
	Make font-lock optional.

2007-01-08  Eric Ludlam  <eludlam@mathworks.com>

	* matlab.el: (matlab-block-end-pre-if, matlab-block-end-pre-no-if):
	Support assigning toc into a subs-assign.  (Thanks Jim Van Zant)

2006-10-04  Eric Ludlam  <eludlam@mathworks.com>

	* mlint.el (mlint-output-regex):
	Support the changed mlint output syntax
	(mlint-symtab-line-regexp): Support changed mlint table output syntax
	(mlint-warning-code-alist): Obsolete
	(mlint-error-fix-alist): Obsolete
	(mlint-error-id-fix-alist): New version of the old error-fix-alist.
	(mlint-run): Add the "-edit" flag when highlighting crossfunction variables.
	Updated parsing of the mlint table for highlighting cross-function variables.
	Updated mechanism for highlighting the cross-function variables.
	(mlint-lm-entry): Update warningid doc.
	(mlint-warning->class, mlint-warningid->class): Name change.  Use new table of warning ids
	instead of parsing warning strings.
	(linemark-new-entry): Use warning id, not warning string for class determination.
	(mlint-lm-replace-focus): new-text is no longer class allocated.
	(mlint-lm-entry-depricated): New class rule.
	(mlint-lm-entry-isstr, mlint-lm-entry-setstr): Deleted.
	(mlint-lm-eval->trycatch): Commented out.  Not provided by mlint, but it
	is cool and could be resurrected.
	(mlint-highlight): Can't provide warningcode anymore.
	(mlint-clear-cross-function-variable-overlays): Renamed to
	(mlint-clear-nested-function-info-overlays): updated w/ more info.
	(mlint-clear-cross-function-variable-highlighting)
	(mlint-minor-mode): Use new clear function for nested function info.

	* matlab.el: Make fill-paragraph work around cell headings nicely.
	Add `matlab-shell-run-cell' for cell-mode style execution of code.
	Change the page delimiter to include cell breaks.

	Support "parfor", available in MATLAB 2006a.
	Treat cell start comments as the start of a comment block, even if comments preceed it.
	Make sure typing in comment chars moves cursor to the correct location.

2005-12-02  Eric Ludlam  <eludlam@mathworks.com>

	* ChangeLog: Build and dependancies changes.

	* INSTALL, README: Add info about CEDET dependancies.

	* Makefile, Project.ede, matlab-load.el: Build system.

2005-12-02  Eric Ludlam  <eludlam@mathworks.com>

	* README, INSTALL: Refer to CEDET project for dependancies.

	* Makefile, Project.ede: New build system.

	* matlab-load.el: autoloads file.

2005-12-01  Eric Ludlam  <eludlam@mathworks.com>

	* matlab.el: Removed ChangLog from end of file.
